locked
WSUS 3.0 SP1 and SQL 2005 SP4 RRS feed

  • Question

  • Hi All,

    I've been trying to find/locate whether SQL 2005 SP4 is compatible with the WSUS 3.0 SP1 application, however I havent found anything yet to suggest whether it is or not. Does anyone know if WSUS 3.0 SP1 is compatible with an SQL 2005 SP4 server?

     

    Thanks!

    Monday, August 8, 2011 5:46 AM

Answers

  • Hi,

    the WSUS 3.0 SP1 is compatible with SQL 2005 SP4 on a Windows Server 2008.

    Here are the complete software requirements for WSUS 3.0 SP1: http://technet.microsoft.com/en-us/library/cc708484(WS.10).aspx

     

    Remeber that the latest version of WSUS 3.0 is SP2 - The requirements are nearly the same... and here is the technet article for the requirements of WSUS 3.0 SP2: http://technet.microsoft.com/en-us/library/cc734545(WS.10).aspx

    • Marked as answer by Vincent Hu Wednesday, September 7, 2011 8:51 AM
    Monday, August 8, 2011 11:49 AM
  • I've been trying to find/locate whether SQL 2005 SP4 is compatible with the WSUS 3.0 SP1 applicationThanks!

    Maybe... Probably... but it is not tested, nor supported -- primarily because WSUS3SP1 is not supported.

    As LordHoradim points out, you should install WSUS v3 SP2, and then apply SQL Server 2005 Service Pack 4 after successfully installing WSUS.


    Lawrence Garvin, M.S., MCITP:EA, MCDBA, MCSA
    Principal/CTO, Onsite Technology Solutions, Houston, Texas
    Microsoft MVP - Software Distribution (2005-2011)
    My MVP Profile: http://mvp.support.microsoft.com/profile/Lawrence.Garvin
    My Blog: http://onsitechsolutions.spaces.live.com
    • Marked as answer by Vincent Hu Wednesday, September 7, 2011 8:51 AM
    Monday, August 8, 2011 4:44 PM
  • Hi,

    here is the document that WSUS 3.0 SP1 is not supported anymore: http://support.microsoft.com/lifecycle/?p1=12561 (The Support ended at 10/12/2010 for this Servicepack).

    A Windows 2003 with SP2 is supported for a WSUS SP2: http://technet.microsoft.com/en-us/library/dd939928(WS.10).aspx

    The Support for Windows Server 2003 will end at 7/14/2015.

    You said that you want to upgrade the SQL Server to SP4 - Which version do you now?
    What's your current configuration of your WSUS Server?

    • Marked as answer by Vincent Hu Wednesday, September 7, 2011 8:51 AM
    Tuesday, August 9, 2011 3:24 PM

All replies

  • Hi,

    the WSUS 3.0 SP1 is compatible with SQL 2005 SP4 on a Windows Server 2008.

    Here are the complete software requirements for WSUS 3.0 SP1: http://technet.microsoft.com/en-us/library/cc708484(WS.10).aspx

     

    Remeber that the latest version of WSUS 3.0 is SP2 - The requirements are nearly the same... and here is the technet article for the requirements of WSUS 3.0 SP2: http://technet.microsoft.com/en-us/library/cc734545(WS.10).aspx

    • Marked as answer by Vincent Hu Wednesday, September 7, 2011 8:51 AM
    Monday, August 8, 2011 11:49 AM
  • I've been trying to find/locate whether SQL 2005 SP4 is compatible with the WSUS 3.0 SP1 applicationThanks!

    Maybe... Probably... but it is not tested, nor supported -- primarily because WSUS3SP1 is not supported.

    As LordHoradim points out, you should install WSUS v3 SP2, and then apply SQL Server 2005 Service Pack 4 after successfully installing WSUS.


    Lawrence Garvin, M.S., MCITP:EA, MCDBA, MCSA
    Principal/CTO, Onsite Technology Solutions, Houston, Texas
    Microsoft MVP - Software Distribution (2005-2011)
    My MVP Profile: http://mvp.support.microsoft.com/profile/Lawrence.Garvin
    My Blog: http://onsitechsolutions.spaces.live.com
    • Marked as answer by Vincent Hu Wednesday, September 7, 2011 8:51 AM
    Monday, August 8, 2011 4:44 PM
  • Hi,
    Thanks for that - is there a document you could point me to about WSUS 3.0 SP1 no longer being supported, so I can organise an upgrade to SP2 for WSUS?  

    The WSUS server is Windows 2003 - is that still supported upgrading to SP2 then upgrading SQL 2005 to SP4?

    Thanks!

    Tuesday, August 9, 2011 3:31 AM
  • Hi,

    here is the document that WSUS 3.0 SP1 is not supported anymore: http://support.microsoft.com/lifecycle/?p1=12561 (The Support ended at 10/12/2010 for this Servicepack).

    A Windows 2003 with SP2 is supported for a WSUS SP2: http://technet.microsoft.com/en-us/library/dd939928(WS.10).aspx

    The Support for Windows Server 2003 will end at 7/14/2015.

    You said that you want to upgrade the SQL Server to SP4 - Which version do you now?
    What's your current configuration of your WSUS Server?

    • Marked as answer by Vincent Hu Wednesday, September 7, 2011 8:51 AM
    Tuesday, August 9, 2011 3:24 PM
  • Hi,

    Thanks for that. WSUS is now at 3.0 SP2, and its installed on a Windows 2003 SP2 box. If I upgrade the SQL 2005 server (from SP3 to SP4), is that now supported? I gather that since the minimum requirement is SP3 that further Service Packs are supported?

     

    Thanks!

    Thursday, December 1, 2011 1:34 AM
  • WSUS is now at 3.0 SP2, and its installed on a Windows 2003 SP2 box. If I upgrade the SQL 2005 server (from SP3 to SP4), is that now supported?
    Yes.
    I gather that since the minimum requirement is SP3 that further Service Packs are supported?
    Yes. The issue of concern (other than being at WSUS3SP1), is that WSUS is notorious for having installation issues on uplevel service packs of SQL Server, thus the recommendation to install on the minimum supported version and then apply the SQL Server service packs.
    Lawrence Garvin, M.S., MCITP:EA, MCDBA, MCSA
    Principal/CTO, Onsite Technology Solutions, Houston, Texas
    Microsoft MVP - Software Distribution (2005-2011)
    My MVP Profile: http://mvp.support.microsoft.com/profile/Lawrence.Garvin
    My Blog: http://onsitechsolutions.spaces.live.com
    Thursday, December 1, 2011 7:59 PM